using Newtonsoft.Json;
using SqlSugar;
using System;
using System.Collections.Generic;

namespace DeviceRepair.Models.DeviceRepair
{
    [SugarTable("DeviceWarrantyFormVer")]
    public class DeviceWarrantyFormVer_Sugar : ModelContext
    {
        [SugarColumn(ColumnName = "AutoID", IsPrimaryKey = true, IsIdentity = true)]
        public int AutoID { get; set; }

        [SugarColumn(ColumnName = "FormVerCode")]
        public string FormVerCode { get; set; }

        [SugarColumn(ColumnName = "FormVerName")]
        public string FormVerName { get; set; }

        [SugarColumn(ColumnName = "PrintTemplateFileName")]
        public string PrintTemplateFileName { get; set; }
    }

    public class DeviceWarrantyFormVer
    {
        public int AutoID { get; set; }
        public string FormVerCode { get; set; }

        public string FormVerName { get; set; }
        public string PrintTemplateFileName { get; set; }
    }
}
